RULEXDB_DATASET_NAME(3)

NAME
rulexdb_dataset_name - get pointer to the dataset name string

SYNOPSIS
#include <rulexdb.h>

const char *rulexdb_dataset_name(int item_type);

DESCRIPTION
The rulexdb_dataset_name() function gets pointer to the constant string containing internal name of the dataset identified by item_type argument that may accept one of the following values:

RULEXDB_LEXBASE
    The Implicit dictionary.

RULEXDB_EXCEPTION
    The Explicit dictionary.

RULEXDB_LEXCLASS
    The Classifiers ruleset.

RULEXDB_PREFIX
    The Prefix detectors ruleset.

RULEXDB_RULE
    The General ruleset.

RULEXDB_CORRECTOR
    The Correctors ruleset.

Note that the dataset must be specified explicitly. The value RULEXDB_DEFAULT is not allowed here.

RETURN VALUE
The rulexdb_dataset_name() function returns pointer to the dataset name string or NULL for unknown dataset.

SEE ALSO
rulexdb_classify(3), rulexdb_close(3), rulexdb_discard_dictionary(3), rulexdb_discard_ruleset(3), rulexdb_fetch_rule(3), rulexdb_lexbase(3), rulexdb_load_ruleset(3), rulexdb_open(3), rulexdb_remove_item(3), rulexdb_remove_rule(3), rulexdb_remove_this_item(3), rulexdb_retrieve_item(3), rulexdb_search(3), rulexdb_seq(3), rulexdb_subscribe_item(3), rulexdb_subscribe_rule(3)

AUTHOR
Igor B. Poretsky <poretsky@mlbox.ru>.